package pwc.taxtech.atms.common.schedule;

import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.quartz.QuartzJobBean;
import pwc.taxtech.atms.service.impl.TaxEamilServiceImpl;

/**
 * @version 1.0
 * @program: atms
 * @description: 分享模块定时任务
 * @author: Kevin
 * @create: 2019-04-26 12:16
 **/
public class ShareJob  extends QuartzJobBean {

    @Autowired
    private TaxEamilServiceImpl taxEamilService;
    @Override
    protected void executeInternal(JobExecutionContext context) throws JobExecutionException {
        taxEamilService.jobEmail();
    }
}
